# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(DynaLoader.pm) perl(Gtk2/CodeGen.pm) perl(Gtk2/TestHelper.pm) perl(Gtk2/TrayIcon.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define module NotificationBubble

%{?perl_default_filter}

Name:		perl-Gtk2-%module
Version:	0.01
Release:	alt13_29
Summary:	Perl module interface to the EggNotificationBubble library
License:	GPL or Artistic
Group:		Development/GNOME and GTK+
Source:		Gtk2-%module-%version.tar.bz2
Patch0:		Gtk2-NotificationBubble-0.01-triangle.patch
URL:		http://cvs.gnome.org/viewcvs/rhythmbox/widgets/eggnotificationbubble.c

BuildRequires:	gtk+2-devel 
BuildRequires:	perl-devel 
BuildRequires:	perl(ExtUtils/Depends.pm) 
BuildRequires:	perl(ExtUtils/PkgConfig.pm) 
BuildRequires:	perl(Glib.pm)
BuildRequires:	perl(Gtk2.pm)
Requires:	libgtk+2 perl-Gtk2
Source44: import.info

%description
This module allows a Perl developer to display notification bubbles on
top of Gtk2 widgets. They look like tooltips with bevelled borders and
arrows. They can display an icon and a bold header.

%prep
%setup -q -n Gtk2-%module-%version
%patch0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc examples/*
%{perl_vendor_archlib}/Gtk2
%{perl_vendor_archlib}/auto/*


%changelog
* Wed Nov 29 2023 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt13_29
- rebuild to get rid of unmets

* Wed Jun 16 2021 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt12_29
- rebuild to get rid of unmets

* Wed Jan 13 2021 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt11_29
- rebuild to get rid of unmets

* Thu Oct 01 2020 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt10_29
- rebuild to get rid of unmets

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.01-alt9_29
- rebuild with perl 5.30

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt8_29
- rebuild to get rid of unmets

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.01-alt7_29
- update by mgaimport

* Mon Aug 27 2018 Igor Vlasenko <viy@altlinux.ru> 0.01-alt7_28
- update by mgaimport

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.01-alt7_27
- rebuild with perl 5.26

* Fri Oct 13 2017 Igor Vlasenko <viy@altlinux.ru> 0.01-alt6_27
- update by mgaimport

* Mon Sep 25 2017 Igor Vlasenko <viy@altlinux.ru> 0.01-alt6_26
- update by mgaimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.01-alt6_25
- update by mgaimport

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt6_24
- rebuild to get rid of unmets

* Wed Jul 27 2016 Igor Vlasenko <viy@altlinux.ru> 0.01-alt5_24
- update by mgaimport

* Sun Feb 21 2016 Igor Vlasenko <viy@altlinux.ru> 0.01-alt5_23
- update by mgaimport

* Fri Nov 27 2015 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt5_22
- rebuild to get rid of unmets

* Tue Oct 20 2015 Igor Vlasenko <viy@altlinux.ru> 0.01-alt4_22
- update by mgaimport

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.01-alt4_21
- update by mgaimport

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt4_20
- rebuild to get rid of unmets

* Tue Oct 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.01-alt3_20
- update by mgaimport

* Tue Sep 02 2014 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt3_19
- rebuild to get rid of unmets

* Wed Jun 25 2014 Igor Vlasenko <viy@altlinux.ru> 0.01-alt2_19
- update by mgaimport

* Tue Oct 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt2_18
- mga update

* Thu Sep 05 2013 Cronbuild Service <cronbuild@altlinux.org> 0.01-alt2_17
- rebuild with new perl

* Wed Aug 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1_17
- mgaimport update

* Thu Jul 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1_14
- converted for ALT Linux by srpmconvert tools

